var TalentAllowanceInfoSupple = {};
TalentAllowanceInfoSupple.initColumn = function(process) {
    var type = $("#type").val();
    if(type==1){
        if(process==1 || process==2)return TalentAllowanceInfoSupple.createColOneAndTwo(process);
        else if(process==3)return TalentAllowanceInfoSupple.createColThree(process);
        else if(process==4)return TalentAllowanceInfoSupple.createFour(process);
    }
    if(type==2){
        if(process==1 || process==2)return TalentAllowanceInfoSupple.createColOneAndTwoIC(process);
        else if(process==3) return TalentAllowanceInfoSupple.createColThreeIC(process);
        else if(process==4)return TalentAllowanceInfoSupple.createFourIC(process);
    }
};

TalentAllowanceInfoSupple.createColOneAndTwo = function(process){
    return [
        {field: 'selectItem', radio: true},
        {title: '年度', field: 'year', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"60px"},
        {title: '审核单位', field: 'companyName', visible: (process == 1), align: 'center', valign: 'middle','class': 'uitd_showTip',width:"120px"},
        {title: '单位名称', field: 'enterpriseName', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"120px"},
        {title: '泉州证书有效期', field: 'qzgccrcActiveTime', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"120px"},
        {title: '人才标签', field: 'talentTypeName', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"100px"},
        {title: '所属镇街', field: 'addressName', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"80px"},
        {title: '姓名', field: 'name', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"80px"},
        {title: '性别', field: 'sex', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"60px",
            formatter(value,row,index){
                if(value==1){
                    return "男";
                }
                if(value==2){
                    return "女";
                }
            }
        },
        {title: '证件号码', field: 'idCard', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"120px"},
        {title: '人才层次', field: 'talentArrangeName', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"100px"},
        {title: '认定条件', field: 'identifyConditionText', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"120px"},
        // {title: '认定条件证书取得时间', field: 'identifyGetTime', visible: true, align: 'center', valign: 'middle',width:"130px"},
        {title: '认定条件名称', field: 'identifyConditionName', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"100px"},
        {title: '公布入选月份', field: 'identifyMonth', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"100px"},
        {title: '首次提交时间', field: 'firstSubmitTime', visible: true, align: 'center', valign: 'middle',width:"120px"},
        {title: '最新提交时间', field: 'newSubmitTime', visible: true, align: 'center', valign: 'middle',width:"120px"},
        {title: '审核状态', field: 'checkState', visible: (process == 2), align: 'center', valign: 'middle','class': 'uitd_showTip',width:"100px",
            formatter(value,row,index){
                if(value==-1){
                    return "<span class='label label-warning-light'>审核不通过</span>";
                }
                if(process==1){
                    if(value==1){
                        return "<span class='label'>待提交</span>"
                    }if(value==5){
                        if(Feng.isNotEmptyStr(row.highProcess) && row.highProcess>=1){
                            return "<span class='label label-success'>重新提交</span>";
                        }else{
                            return "<span class='label label-success'>待审核</span>";
                        }
                    }if(value==13){
                        return "<span class='label label-success'>上级驳回</span>";
                    }if(value==10){
                        return "<span class='label label-danger'>已驳回</span>";
                    }if(value == 15 ||value==20 || value==25 || value==30){
                        return "<span class='label label-primary'>已通过</span>";
                    }
                }else if(process==2){
                    if(value==1 || value==5 || value==10 ){
                        return "<span class='label label-danger'>已驳回</span>";
                    }if(value==15){
                        if(row.highProcess!=null && row.highProcess!='' && row.highProcess>=2){
                            return "<span class='label label-success'>重新提交</span>"
                        }else{
                            return "<span class='label label-success'>待审核</span>"
                        }
                    }if(value==20 || value==30){
                        return "<span class='label label-primary'>已通过</span>"
                    }if(value==25){
                        return "<span class='label label-success'>上级驳回</span>";
                    }
                }
            }
        },
        {title: '审核状态', field: 'depState', visible: (process == 1), align: 'center', valign: 'middle','class': 'uitd_showTip',width:"100px",
            formatter(value,row,index){
                if(value == -2){
                    return "<span class='label'>待提交</span>";
                }
                if(value == -1){
                    return "<span class='label label-warning-light'>审核不通过</span>";
                }
                if(value == 1){
                    return "<span class='label label-success'>待审核</span>";
                }
                if(value == 2){
                    return "<span class='label label-danger'>已驳回</span>";
                }
                if(value == 3){
                    return "<span class='label label-primary'>已通过</span>"
                }
                if(value == 4){
                    return "<span class='label label-success'>上级驳回</span>";
                }
                if(value == 9){
                    return "<span class='label label-success'>重新提交</span>";
                }
            }
        },
        {title: '操作', field: 'id', visible: true, align: 'center', valign: 'middle',width:"80px",
            formatter : function (value,row,index){
                return "<span class='label label-success' onclick=\"TalentAllowanceInfoSupple.showLog('"+value+"')\" >" +
                    "<i class=\"fa fa-book\"></i>日志" +
                    "</span>";
            }
        }
    ];
}


TalentAllowanceInfoSupple.createColThree = function(process){
    return [
        [
            {field: 'selectItem', radio: true,rowspan:2,align: 'center', valign: 'middle'},
            {title: '年度', field: 'year', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"60px",rowspan:2},
            {title: '单位名称', field: 'enterpriseName', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"120px",rowspan:2},
            {title: '泉州证书有效期', field: 'qzgccrcActiveTime', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"130px",rowspan:2},
            {title: '人才标签', field: 'talentTypeName', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"100px",rowspan:2},
            {title: '所属镇街', field: 'addressName', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"80px",rowspan:2},
            {title: '姓名', field: 'name', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"100px",rowspan:2},
            {title: '性别', field: 'sex', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"60px",rowspan:2,
                formatter(value,row,index){
                    if(value==1){
                        return "男";
                    }
                    if(value==2){
                        return "女";
                    }
                }
            },
            {title: '证件号码', field: 'idCard', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"120px",rowspan:2},
            {title: '人才层次', field: 'talentArrangeName', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"100px",rowspan:2},
            {title: '认定条件', field: 'identifyConditionText', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"120px",rowspan:2},
            {title: '<span style="color: #682c90">推荐类型</span>', field: 'checkMsg', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',colspan:'4',rowspan:1,width:"500px",
                cellStyle:function(value,row,index){
                    return {
                        css:{
                            background: 'blue'
                        }
                    }
                }
            },
            {title: '<span style="color: #fe346e;">最终类型</span>', field: 'highProcess', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',colspan:'4',rowspan:1,width:"500px",
                cellStyle:function(value,row,index){
                    return {
                        css:{
                            background: '#fe346e'
                        }
                    }
                }
            },
            {title: '审核状态', field: 'checkState', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"100px",rowspan:2,
                formatter(value,row,index){
                    if(value==-1){
                        return "<span class='label label-warning-light'>审核不通过</span>";
                    }
                    if(value==1 || value==5 || value==10 || value==13 || value==15 || value==25){
                        return "<span class='label label-danger'>已驳回</span>";
                    }if(value==20){
                        if(row.highProcess!=null && row.highProcess!='' && row.highProcess>=3){
                            return "<span class='label label-success'>重新提交</span>"
                        }else{
                            return "<span class='label label-success'>待审核</span>"
                        }
                    }if( value==30){
                        return "<span class='label label-primary'>已通过</span>"
                    }if( value==35){
                        return "<span class='label label-success'>公示驳回</span>";
                    }
                }
            },
            {title: '操作', field: 'id', visible: true, align: 'center', valign: 'middle',width:"80px",rowspan:2,
                formatter : function (value,row,index){
                    return "<span class='label label-success' onclick=\"TalentAllowanceInfoSupple.showLog('"+value+"')\" >" +
                        "<i class=\"fa fa-book\"></i>日志" +
                        "</span>";
                }
            }
        ],[
        // {title: '认定条件证书取得时间', field: 'identifyGetTime', visible: true, align: 'center', valign: 'middle',width:"150px"},
        // {title: '认定条件名称', field: 'identifyConditionName', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"100px"},
        // {title: '公布入选月份', field: 'identifyMonth', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"100px"},
        {title: '推荐津补贴类型', field: 'recommendAllowanceType', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"120px",
            formatter(value,row,index){
                if(value==null || value=="")return "<span style='color: black'>未判定</span>";
                if(value==1)return "<span style='color: green'>人才津贴</span>";
                if(value==2)return "<span style='color: blue'>一次性交通补贴</span>";
                if(value==3)return "<span style='color: red'>不予兑现</span>";
            }
        },
        {title: '推荐兑现月份', field: 'recommendMonths', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"100px"},
        {title: '推荐兑现金额', field: 'recommendMoney', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"100px"},
        {title: '推荐金额说明', field: 'recommendMoneyDesc', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"100px"},
        {title: '津补贴类型', field: 'allowanceType', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"120px",
            formatter(value,row,index){
                if(value==null || value=="")return "<span style='color: black'>未判定</span>";
                if(value==1)return "<span style='color: green'>人才津贴</span>";
                if(value==2)return "<span style='color: blue'>一次性交通补贴</span>";
                if(value==3)return "<span style='color: red'>不予兑现</span>";
            }
        },
        {title: '兑现月份', field: 'months', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"100px"},
        {title: '兑现金额', field: 'money', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"80px"},
        {title: '金额说明', field: 'moneyDesc', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"80px"},
    ]];
}

TalentAllowanceInfoSupple.createColOneAndTwoIC = function(process){
    return [
        {field: 'selectItem', radio: true},
        {title: '年度', field: 'year', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"60px"},
        {title: '审核单位', field: 'companyName', visible: (process == 1), align: 'center', valign: 'middle','class': 'uitd_showTip',width:"120px"},
        {title: '企业名称', field: 'enterpriseName', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"120px"},
        {title: '所属镇街', field: 'addressName', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"80px"},
        {title: '姓名', field: 'name', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"100px"},
        {title: '性别', field: 'sex', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"60px",
            formatter(value,row,index){
                if(value==1){
                    return "男";
                }
                if(value==2){
                    return "女";
                }
            }
        },
        {title: '证件号码', field: 'idCard', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"120px"},
        {title: '人才层次', field: 'talentArrangeName', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"100px"},
        {title: '认定条件', field: 'identifyConditionText', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"120px"},
        {title: '认定条件证书取得时间', field: 'identifyGetTime', visible: true, align: 'center', valign: 'middle',width:"130px"},
        {title: '认定条件名称', field: 'identifyConditionName', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"100px"},
        {title: '公布入选月份', field: 'identifyMonth', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"100px"},
        {title: '审核状态', field: 'checkState', visible: (process == 2), align: 'center', valign: 'middle','class': 'uitd_showTip',width:"100px",
            formatter(value,row,index){
                if(value==-1){
                    return "<span class='label label-warning-light'>审核不通过</span>";
                }
                if(process==1){
                    if(value==1){
                        return "<span class='label'>待提交</span>"
                    }if(value==5){
                        if(Feng.isNotEmptyStr(row.highProcess) && row.highProcess>=1){
                            return "<span class='label label-success'>重新提交</span>";
                        }else{
                            return "<span class='label label-success'>待审核</span>";
                        }
                    }if(value==23){
                        return "<span class='label label-success'>上级驳回</span>";
                    }if(value==10){
                        return "<span class='label label-danger'>已驳回</span>";
                    }if(value == 15 ||value==20 || value==30){
                        return "<span class='label label-primary'>已通过</span>";
                    }
                }else if(process==2){
                    if(value==1 || value==5 || value==10 ){
                        return "<span class='label label-danger'>已驳回</span>";
                    }if(value==15){
                        if(row.highProcess!=null && row.highProcess!='' && row.highProcess>=2){
                            return "<span class='label label-success'>重新提交</span>"
                        }else{
                            return "<span class='label label-success'>待审核</span>"
                        }
                    }if(value==20 || value==30){
                        return "<span class='label label-primary'>已通过</span>"
                    }if(value==25){
                        return "<span class='label label-success'>上级驳回</span>";
                    }
                }
            }
        },
        {title: '审核状态', field: 'depState', visible: (process == 1), align: 'center', valign: 'middle','class': 'uitd_showTip',width:"100px",
            formatter(value,row,index){
                if(value == -2){
                    return "<span class='label'>待提交</span>";
                }
                if(value == -1){
                    return "<span class='label label-warning-light'>审核不通过</span>";
                }
                if(value == 1){
                    return "<span class='label label-success'>待审核</span>";
                }
                if(value == 2){
                    return "<span class='label label-danger'>已驳回</span>";
                }
                if(value == 3){
                    return "<span class='label label-primary'>已通过</span>"
                }
                if(value == 4){
                    return "<span class='label label-success'>上级驳回</span>";
                }
                if(value == 9){
                    return "<span class='label label-success'>重新提交</span>";
                }
            }
        },
        {title: '操作', field: 'id', visible: true, align: 'center', valign: 'middle',width:"80px",
            formatter : function (value,row,index){
                return "<span class='label label-success' onclick=\"TalentAllowanceInfoSupple.showLog('"+value+"')\" >" +
                    "<i class=\"fa fa-book\"></i>日志" +
                    "</span>";
            }
        }
    ];
}

TalentAllowanceInfoSupple.createColThreeIC = function(process){
    return [
        {field: 'selectItem', radio: true},
        {title: '年度', field: 'year', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"60px"},
        {title: '企业名称', field: 'enterpriseName', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"120px"},
        {title: '所属镇街', field: 'addressName', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"80px"},
        {title: '姓名', field: 'name', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"100px"},
        {title: '性别', field: 'sex', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"60px",
            formatter(value,row,index){
                if(value==1){
                    return "男";
                }
                if(value==2){
                    return "女";
                }
            }
        },
        {title: '证件号码', field: 'idCard', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"120px"},
        {title: '人才层次', field: 'talentArrangeName', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"100px"},
        {title: '推荐津补贴类型', field: 'recommendAllowanceType', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"120px",
            formatter(value,row,index){
                if(value==null || value=="")return "<span style='color: black'>未判定</span>";
                if(value==1)return "<span style='color: green'>人才津贴</span>";
                if(value==2)return "<span style='color: blue'>一次性交通补贴</span>";
                if(value==3)return "<span style='color: red'>不予兑现</span>";
            }
        },
        {title: '推荐兑现月份', field: 'recommendMonths', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"100px"},
        {title: '推荐兑现金额', field: 'recommendMoney', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"80px"},
        {title: '推荐金额说明', field: 'recommendMoneyDesc', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"80px"},
        // {title: '津补贴类型', field: 'allowanceType', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"120px",
        //     formatter(value,row,index){
        //         if(value==null || value=="")return "未判定";
        //         if(value==1)return "人才津贴";
        //         if(value==2)return "一次性交通补贴";
        //         if(value==3)return "不予兑现";
        //     }
        // },
        // {title: '兑现月份', field: 'months', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"100px"},
        // {title: '兑现金额', field: 'money', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"80px"},
        // {title: '金额说明', field: 'moneyDesc', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"80px"},
        {title: '审核状态', field: 'checkState', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"100px",
            formatter(value,row,index){
                if(value==-1){
                    return "<span class='label label-warning-light'>审核不通过</span>";
                }
                if(value==1 || value==5 || value==10 || value==13||value==15 || value==25){
                    return "<span class='label label-danger'>已驳回</span>";
                }if(value==20){
                    if(row.highProcess!=null && row.highProcess!='' && row.highProcess>=3){
                        return "<span class='label label-success'>重新提交</span>"
                    }else{
                        return "<span class='label label-success'>待审核</span>"
                    }
                }if( value==30){
                    return "<span class='label label-primary'>已通过</span>"
                }if( value==35){
                    return "<span class='label label-success'>公示驳回</span>";
                }
            }
        },
        {title: '操作', field: 'id', visible: true, align: 'center', valign: 'middle',width:"80px",
            formatter : function (value,row,index){
                return "<span class='label label-success' onclick=\"TalentAllowanceInfoSupple.showLog('"+value+"')\" >" +
                    "<i class=\"fa fa-book\"></i>日志" +
                    "</span>";
            }
        }
    ];
}

TalentAllowanceInfoSupple.createFour = function(process){
    return [
        [
            {field: 'selectItem', radio: true,rowspan:2,align: 'center', valign: 'middle'},
            {title: '年度', field: 'year', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"60px",rowspan:2},
            {title: '企业名称', field: 'enterpriseName', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"120px",rowspan:2},
            // {title: '泉州证书有效期', field: 'qzgccrcActiveTime', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"150px",rowspan:2},
            {title: '人才标签', field: 'talentTypeName', visible: false, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"100px",rowspan:2},
            {title: '所属镇街', field: 'addressName', visible: false, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"80px",rowspan:2},
            {title: '姓名', field: 'name', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"100px",rowspan:2},
            {title: '性别', field: 'sex', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"60px",rowspan:2,
                formatter(value,row,index){
                    if(value==1){
                        return "男";
                    }
                    if(value==2){
                        return "女";
                    }
                }
            },
            {title: '证件号码', field: 'idCard', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"120px",rowspan:2},
            {title: '人才层次', field: 'talentArrangeName', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"100px",rowspan:2},
            {title: '认定条件', field: 'identifyConditionText', visible: false, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"120px",rowspan:2},
            {title: '<span style="color: #682c90">推荐类型</span>', field: '', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',colspan:'4',rowspan:1,width:"500px",
                cellStyle(value){
                    return "background-color: #682c90";
                }
            },
            {title: '<span style="color: #fe346e;">最终类型</span>', field: '', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',colspan:'4',rowspan:1,width:"500px"},
            {title: '审核状态', field: 'checkState', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"100px",rowspan:2,
                formatter(value,row,index){
                    if(value==-1){
                        return "<span style='color: #f55a4e'>审核不通过</span>";
                    }
                    if( value==30){
                        return "<span style='color: #5cb860'>已通过</span>"
                    }
                }
            },
            {title: '兑现状态', field: 'publicState', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"100px",rowspan:2,
                formatter(value,row,index){
                    if(value==1)return "<span style='color: #9d8189'>待核查征信</span>";
                    if(value==2)return "<span style='color: #00d3ee'>待公示</span>";
                    if(value==3)return "<span style='color: #af2cc5'>公示中</span>";
                    if(value==4){
                        return (row.allowanceType == 3)?"<span style='color: #f55a4e'>不予兑现</span>":"<span style='color: #ca9fab'>待兑现</span>";
                    }
                    if(value==5)return "<span style='color: #5cb860'>已兑现</span>";
                }
            },
            {title: '是否补件', field: 'isSupple', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"80px",rowspan:2,
                formatter(value,row,index){
                    if(value==1){
                        return '<span style="color:#6495ED">是</span>';
                    }
                    if(value==2){
                        return '<span style="color:#FF82AB">否</span>';
                    }
                }
            },
            {title: '操作', field: 'id', visible: true, align: 'center', valign: 'middle',width:"80px",rowspan:2,
                formatter : function (value,row,index){
                    return "<span class='label label-success' onclick=\"TalentAllowanceInfoSupple.showLog('"+value+"')\" >" +
                        "<i class=\"fa fa-book\"></i>日志" +
                        "</span>";
                }
            }
        ],[
            // {title: '认定条件证书取得时间', field: 'identifyGetTime', visible: true, align: 'center', valign: 'middle',width:"150px"},
            // {title: '认定条件名称', field: 'identifyConditionName', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"100px"},
            // {title: '公布入选月份', field: 'identifyMonth', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"100px"},
            {title: '津补贴类型', field: 'recommendAllowanceType', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"120px",
                formatter(value,row,index){
                    if(value==null || value=="")return "<span style='color: black'>未判定</span>";
                    if(value==1)return "<span style='color: green'>人才津贴</span>";
                    if(value==2)return "<span style='color: blue'>一次性交通补贴</span>";
                    if(value==3)return "<span style='color: red'>不予兑现</span>";
                }
            },
            {title: '兑现月份', field: 'recommendMonths', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"100px"},
            {title: '兑现金额', field: 'recommendMoney', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"100px"},
            {title: '金额说明', field: 'recommendMoneyDesc', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"100px"},
            {title: '津补贴类型', field: 'allowanceType', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"120px",
                formatter(value,row,index){
                    if(value==null || value=="")return "<span style='color: black'>未判定</span>";
                    if(value==1)return "<span style='color: green'>人才津贴</span>";
                    if(value==2)return "<span style='color: blue'>一次性交通补贴</span>";
                    if(value==3)return "<span style='color: red'>不予兑现</span>";
                }
            },
            {title: '兑现月份', field: 'months', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"100px"},
            {title: '兑现金额', field: 'money', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"80px"},
            {title: '金额说明', field: 'moneyDesc', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"80px"},
        ]];

}

TalentAllowanceInfoSupple.createFourIC = function(process){
    return [
        {field: 'selectItem', radio: true},
        {title: '年度', field: 'year', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"60px"},
        {title: '企业名称', field: 'enterpriseName', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"120px"},
        // {title: '所属镇街', field: 'addressName', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"100px"},
        {title: '姓名', field: 'name', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"100px"},
        {title: '性别', field: 'sex', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"60px",
            formatter(value,row,index){
                if(value==1){
                    return "男";
                }
                if(value==2){
                    return "女";
                }
            }
        },
        {title: '证件号码', field: 'idCard', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"120px"},
        {title: '人才层次', field: 'talentArrangeName', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"100px"},
        {title: '津补贴类型', field: 'allowanceType', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"120px",
            formatter(value,row,index){
                if(Feng.isEmptyStr(value))return "未判定";
                if(value==1)return "人才津贴";
                if(value==2)return "一次性交通补贴";
                if(value==3)return "不予兑现";
            }
        },
        {title: '兑现月份', field: 'months', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"100px"},
        {title: '兑现金额', field: 'money', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"80px"},
        {title: '金额说明', field: 'moneyDesc', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"80px"},
        {title: '审核状态', field: 'checkState', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"100px",
            formatter(value,row,index){
                if(value==-1){
                    return "<span class='label label-warning-light'>审核不通过</span>";
                }
                if( value==30){
                    return "<span class='label label-primary'>已通过</span>"
                }
            }
        },
        {title: '兑现状态', field: 'publicState', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"100px",
            formatter(value,row,index){
                if(value==1)return "<span class='label label-danger'>待核查征信</span>";
                if(value==2)return "<span class='label label-warning'>待公示</span>";
                if(value==3)return "<span class='label label-success'>公示中</span>";
                if(value==4)return "<span class='label label-info'>待兑现</span>";
                if(value==5)return "<span class='label label-primary'>已兑现</span>";
            }
        },
        {title: '是否补件', field: 'isSupple', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"80px",
            formatter(value,row,index){
                if(value==1){
                    return '<span style="color:#6495ED">是</span>';
                }
                if(value==2){
                    return '<span style="color:#FF82AB">否</span>';
                }
            }
        },
        {title: '操作', field: 'id', visible: true, align: 'center', valign: 'middle',width:"80px",
            formatter : function (value,row,index){
                return "<span class='label label-success' onclick=\"TalentAllowanceInfoSupple.showLog('"+value+"')\" >" +
                    "<i class=\"fa fa-book\"></i>日志" +
                    "</span>";
            }
        }
    ];
}


/**
 * 显示审核日志
 */
TalentAllowanceInfoSupple.showLog = function (id){
    layer.open({
        type: 1,
        title:"日志",
        fixed:false,
        content: '<table id="'+id+'"></table>',
        area: ['80%', '80%'],
        maxmin: true,
        success :function (layero, index) {
            Feng.getCheckLog(id,{"type":CONFIG.project_jbt,"mainId":id,"typeFileId":"","active":1})
        }
    });
}

//全选
TalentAllowanceInfoSupple.checkAll = function (id) {
    $("#"+id+" input").each(function () {
        $(this).iCheck("check");
    })
}
//反选
TalentAllowanceInfoSupple.unCheckAll = function (id) {
    $("#"+id+" input").each(function () {
        if(this.checked){
            $(this).iCheck("uncheck");
        }else{
            $(this).iCheck("check");
        }
    })
}

TalentAllowanceInfoSupple.initICheck = function(){
    $('.icheckbox').iCheck({
        labelHover : false,
        cursor : true,
        checkboxClass : 'icheckbox_square-green',
        radioClass : 'iradio_square-greene',
        increaseArea : '20%'
    });
}